const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/delay-relay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/delay-relay \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/delay-relay"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/delay-relay"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/delay-relay")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/delay-relay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "clp3j1f9a0000a1cdh6ezx2qv",
"safeAddress": "0x1234567890abcdef1234567890abcdef12345678",
"transactionData": "0xabcdef",
"enqueueTaskId": "task_abc123",
"dispatchTaskId": "task_def456",
"readyAt": "2025-02-07T12:34:56Z",
"operationType": "CALL",
"userId": "user_123",
"status": "QUEUING",
"createdAt": "2025-02-07T12:34:56Z"
}
]List Delayed Transactions
Returns an array of delayed transactions associated with the authenticated user, excluding failed transactions.
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/delay-relay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/delay-relay \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/delay-relay"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/delay-relay"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/delay-relay")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/delay-relay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "clp3j1f9a0000a1cdh6ezx2qv",
"safeAddress": "0x1234567890abcdef1234567890abcdef12345678",
"transactionData": "0xabcdef",
"enqueueTaskId": "task_abc123",
"dispatchTaskId": "task_def456",
"readyAt": "2025-02-07T12:34:56Z",
"operationType": "CALL",
"userId": "user_123",
"status": "QUEUING",
"createdAt": "2025-02-07T12:34:56Z"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
A list of delayed transactions for the authenticated user.
Unique identifier for the delayed transaction.
"clp3j1f9a0000a1cdh6ezx2qv"
The Safe contract address associated with the transaction.
"0x1234567890abcdef1234567890abcdef12345678"
Data payload of the transaction.
"0xabcdef"
Identifier of the task that enqueued this transaction.
"task_abc123"
Identifier of the task responsible for dispatching this transaction.
"task_def456"
Timestamp indicating when the transaction is ready for processing.
"2025-02-07T12:34:56Z"
Type of operation being performed.
CALL, DELEGATECALL "CALL"
Identifier of the user associated with the transaction.
"user_123"
Current status of the transaction.
QUEUING, WAITING, EXECUTING, EXECUTED, FAILED "QUEUING"
Timestamp of when the transaction was created.
"2025-02-07T12:34:56Z"